<template>
    <div class="edit-view organization">
        <el-tabs v-model="active">
            <el-tab-pane label="申请信息" name="first"><RateEdit ref="page1" @next="goNext"/></el-tab-pane>
            <el-tab-pane label="审批进度" name="second"><RateAuditEdit ref="page4"/></el-tab-pane>
        </el-tabs>
    </div>
</template>
<script>
import RateEdit from '../rate/RateEdit.vue';
import RateAuditEdit from '../rate/RateAuditEdit.vue';
export default {
    name: 'Organization1',
    created() {
        let data = this.$route.query.status;
        if (
            data == 'SUBMIT_GRADE' ||
            data == 'REVIEW_PENDING' ||
            data == 'SUBMIT_PAPER_MATERIALS' ||
            data == 'COMPLETE'
        ) {
            this.status = false;
        }
        if (data == 'SUBMIT_GRADE' || data == 'COMPLETE' || data == 'SUBMIT_PAPER_MATERIALS') {
            this.grade = false;
        }
    },
    data() {
        return {
            active: 'first',
            status: true,
            grade: true
        };
    },
    methods: {
        goNext(page) {
            this.$nextTick(() => {
                this.activeName = 'second';
            });
        }
    },
    components: {
        RateEdit,
        RateAuditEdit
    }
};
</script>
<style lang="less" scoped></style>
